{ pkgs, ... }:

{
  services = {
    displayManager.cosmic-greeter.enable = true;
    desktopManager.cosmic.enable = true;
    libinput.enable = true;
    xserver = {
      enable = true;
      xkb.variant = "us";
      xkb.layout = "nl";
      desktopManager = {
        gnome.enable = true;
        xterm.enable = false;
      };
    };
    # Disable gnome default apps while keeping the gnome settings daemon
    gnome = {
      core-utilities.enable = false;
    };
    udev.packages = with pkgs; [ gnome-settings-daemon ];
  };
}
