{
  description = "This flake is for hertogs laptop and the other thing";

  inputs = {
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    nixpkgs.url = "nixpkgs/nixos-unstable";
    nixos-cosmic.url = "github:lilyinstarlight/nixos-cosmic";
    lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/2.91.0.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { 
    self, 
    nixos-hardware, 
    nixpkgs,
    nixos-cosmic, 
    lix-module,
    ... 
  }@inputs:

  let
    system = "x86_64-linux";
    currentSystem = system;
    pkgs = import nixpkgs {
      inherit system;
    };
  lib = nixpkgs.lib;
  in {
    # Laptop NixOS configuration
    nixosConfigurations = {
      laptop = lib.nixosSystem {
        inherit system;
        modules = [
          nixos-cosmic.nixosModules.default
	        nixos-hardware.nixosModules.framework-11th-gen-intel
          lix-module.nixosModules.default
          ./users.nix
          ./boot.nix
          ./desktop.nix
          ./programs.nix
	        ./packages.nix
          ./locale.nix
          ./hardware.nix
          ./hardware-configuration.nix
          ./settings.nix
        ];
      };
    };
  };
}

