{ pkgs, ... }:

{
  environment = {
    # Default shell
    shells = [ pkgs.zsh ];
    # Other defaults
    variables = {
      EDITOR = "hx";
      SYSTEMD_EDITOR = "hx";
      VISUAL = "hx";
    };
    # Nixos default installed packages (this is set to get rid of nano >:3 )
    defaultPackages = with pkgs; [
      nvi
      perl
      rsync
      strace
    ];
    # Systemwide installed packages
    systemPackages = with pkgs; [
      glib
      bottom
      curl
      wget
      git
      helix
      lazygit
      hyfetch
      fastfetch
      # System
      gnome-control-center
      nautilus
      file-roller
      firefox
      thunderbird
      blackbox-terminal
      processing
      apostrophe
      onlyoffice-bin
      keepassxc
      stremio
      vesktop
      signal-desktop
      quickemu
      spotify
      vlc
      inkscape
      godot_4
    ];
  };

  # Fonts
  fonts.packages = with pkgs; [
    ibm-plex
    google-fonts
    vistafonts
  ];
}

